
Ruby - Bug #21388

make install and bundled gems

05/31/2025 12:45 PM - MSP-Greg (Greg L)

Status: Rejected   

Priority: Normal   

Assignee: hsbt (Hiroshi SHIBATA)   

Target version:    

ruby -v: ruby 3.5.0dev (2025-05-31T09:43:52Z

master 32c708efbd) +PRISM

[x64-mingw-ucrt]

Backport: 3.2: UNKNOWN, 3.3: UNKNOWN, 3.4:

UNKNOWN

Description

Two issues:

1. Currently, make install from the MinGW (UCRT) workflow shows two gems not being installed (syslog cannot be installed on

Windows):

skipped bundled gems:

    csv-3.3.5.gem                   not found in bundled_gems

    power_assert-2.0.6dev.gem       not found in bundled_gems

    syslog-0.3.0.gem                not found in bundled_gems

 A simple patch file will fix this:

diff --git a/gems/bundled_gems b/gems/bundled_gems

index 8891f1c462..ca66b48ed6 100644

--- a/gems/bundled_gems

+++ b/gems/bundled_gems

@@ -7,7 +7,7 @@

 #   if `revision` is not given, "v"+`version` or `version` will be used.

 

 minitest            5.25.5  https://github.com/minitest/minitest

-power_assert        2.0.5   https://github.com/ruby/power_assert a7dab941153b233d3412e249d25d

a52a6c5691de

+power_assert        2.0.6dev  https://github.com/ruby/power_assert a7dab941153b233d3412e249d2

5da52a6c5691de

 rake                13.3.0  https://github.com/ruby/rake

 test-unit           3.6.8   https://github.com/test-unit/test-unit

 rexml               3.4.1   https://github.com/ruby/rexml

@@ -33,7 +33,7 @@ rinda               0.2.0   https://github.com/ruby/rinda

 drb                 2.2.3   https://github.com/ruby/drb

 nkf                 0.2.0   https://github.com/ruby/nkf

 syslog              0.3.0   https://github.com/ruby/syslog

-csv                 3.3.4   https://github.com/ruby/csv 69d9886238a504bfac60fa516cd08ad2a855a

2a8

+csv                 3.3.5   https://github.com/ruby/csv 69d9886238a504bfac60fa516cd08ad2a855a

2a8

 repl_type_completor 0.1.11  https://github.com/ruby/repl_type_completor 25108aa8d69ddaba0b5da

3feff1c0035371524b2

 ostruct             0.6.1   https://github.com/ruby/ostruct 50d51248bec5560a102a1024aff4174b3

1dca8cc

 pstore              0.2.0   https://github.com/ruby/pstore

2. Sometime ago, one could cache the *.gem files, and they would not be downloaded.  Now, regardless of the cache, they are

always downloaded.

Related issues:

Related to Ruby - Bug #21457: Bundled gems - power_assert is not being installed Closed

Has duplicate Ruby - Bug #20560: make install - skipped bundled gems - minor ... Closed

Has duplicate Ruby - Bug #21499: make install - power_assert is a runtime_dep... Closed
History

#1 - 06/01/2025 08:23 AM - nobu (Nobuyoshi Nakada)

- Description updated

#2 - 06/04/2025 07:44 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned

- Assignee set to hsbt (Hiroshi SHIBATA)

#3 - 06/04/2025 07:46 AM - hsbt (Hiroshi SHIBATA)

- Has duplicate Bug #20560: make install - skipped bundled gems - minor issue added

#4 - 06/06/2025 08:28 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Rejected

Please wait a stable release. master is development branch.

The bundled gems that are specified commit hash is also development status for resolving issues with ruby head. So they may be removed from the

daily snapshot because that version does not exist in GitHub or rubygems.org.

#5 - 06/10/2025 09:40 AM - nobu (Nobuyoshi Nakada)

Another idea is that master will install snapshot gems.

https://github.com/ruby/ruby/pull/13574

#6 - 06/29/2025 05:40 AM - nobu (Nobuyoshi Nakada)

- Related to Bug #21457: Bundled gems - power_assert is not being installed added

#7 - 07/03/2025 08:44 AM - hsbt (Hiroshi SHIBATA)

- Has duplicate Bug #21499: make install - power_assert is a runtime_dependency of test-unit added
